* {
    box-sizing: border-box;
    font-family: sans-serif;
    line-height: 1.5;
}

h1 {
    font-size: 16pt;
    margin: 20px auto 30px auto;
    letter-spacing: 1px;
    line-height: 150%;
    font-weight: lighter;
    text-align: center;
}

h2 {
    font-size: 14pt;
    text-align: left;
    margin-bottom: 5px;
}

p {
    text-align: left;
    margin: 5px 0 10px 0;
}

a {
    color: grey;
    text-decoration: none;
}

hr {
    background-color: grey;
    height: 2px;
    width: 100%;
    margin: 5px 0 5px 0;
}

body {
    margin: 0px;
    background-color: #f4f4f4;
}

header {
    width: 100%;
    height: 80px;
    display: flex;
    align-items: center;
    justify-content: center;
    background-color: #fff;
    box-shadow: 0 0 7px 0 rgba(0,0,0,0.2);
    z-index: 3;
}


#htmlForm {
    width: 600px;
    margin-left: auto;
    margin-right: auto;
    margin-top: 10px;
    margin-bottom: 10px;
    background-color: #f4f4f4;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content:space-evenly;
}
@media only screen and (max-width: 600px) {
    #htmlForm {
        margin-top: 0px;
        margin-bottom: 0px;
        width: 100%;
    }
}

.success-page {
    width: 600px;
    margin-left: auto;
    margin-right: auto;
    margin-top: 10px;
    margin-bottom: 10px;
    padding: 20px 20px 20px 20px;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content:space-evenly;
}
@media only screen and (max-width: 600px) {
    .success-page {
        margin-top: 0px;
        margin-bottom: 0px;
        width: 100%;
    }
}

.text-container {
    align-items: left;
}

ol {
    padding-inline-start: 20px;
}

li {
    margin-bottom: 10px;
}
li::marker {
    font-weight:700;
}

.inner-form-container {
    width: 100%;
    height: 100%;
    padding: 10px 40px 60px 40px;
}
@media only screen and (max-width: 600px) {
    .inner-form-container {
        padding: 10px 10px 60px 10px;
    }
}

input[type="text"], [type="email"], [type="number"], [type="tel"], [type="date"], select {
    height: 45px;
    width: 100%;
    margin-bottom: 15px;
    padding: 5px;
    background-color: #fff;
    font-size: 16px;
    box-shadow: none;
    color: grey;
    outline: none;
    border: 0.1px solid grey;
    border-radius: 3px;
}
input.required:valid, select.required:valid {
    color: black !important;
    border-left: 4px solid #57b46c !important;
}

.valid {
    color: black !important;
    border-left: 4px solid #57b46c !important;
}

.invalid {
    border: 1px solid red;
    background-color: #cd565437;
}

input:focus {
    background-color: #fff;
}

input[name="strasse"] {
    width: 99%;
}

input[name="plz"] {
    width: 96%;
}

.two-col-input {
    display: grid;
    grid-template-columns: 49% 2% 49%;
}

.infomail-container {
    width: 100%;
    margin-bottom: 15px;
    padding: 5px;
    background-color: #f3f3f3;
    font-size: 16px;
    box-shadow: none;
    color: grey;
    outline: none;
    border: 0.1px solid grey;
    border-radius: 3px;
}

.infomail-block {
    width: 95%;
    margin: 5px;
    margin-bottom: 15px;
    padding: 8px;
    display: grid;
    grid-template-columns: auto 150px;
    background-color: #f3f3f3;
    border-radius: 3px;
    color: rgb(60, 60, 60);
}

.infomail-text {
    width: 100%;
    /* display: flex; */
    align-items: center;
}

.infomail-options {
    width: 100%;
    padding-left: 20px;
    display: grid;
    grid-template-columns: auto auto auto auto;
    align-items: center;
}

.infomail-option-element {
    background-color: grey;
    border: 1px solid black;
    width: 100%;
    display: grid;
    grid-template-columns: 20% 80%;
}

.adress-container-street {
    width: 100%;
    display: grid;
    grid-template-columns: 80% 1% 19%;
}

.adress-container-city {
    width: 100%;
    display: grid;
    grid-template-columns: 30% 1% 69%;
}

.kundenkarten-container {
    width: 100%;
    margin-bottom: 10px;
    display: grid;
    grid-template-rows: 50% 50%;
    align-items: center;
}

.sectionLabel {
    margin-bottom: 5px;
    font-size: 14px;
    font-weight: bold;
    color: rgba(0, 0, 0, 0.4);
}

.form-checkbox-text-container {
    width: 100%;
    margin-top: 10px;
    padding: 15px 5px 15px 5px;
    display: grid;
    grid-template-columns: 7% 93%;
    column-gap: 10px;
    align-items: center;
}

input[type="checkbox"]{
    /* height: 25px; */
    margin: 0px 0px 0px 0px;
    background-color: plum;
    cursor: pointer;
}

.checkboxBig {
    -webkit-transform: scale(1.5,1.5) translate(2px, 0);
    transform: scale(1.5,1.5) translate(2px, 0);
    left: auto;
    right: auto;
    margin: 0px 0px 0px 0px;
    background-color: plum;
    cursor: pointer;
}

.checkbox-text {
    width: 98%;
    text-align:start;
}


#formButton {
    position: fixed;
    bottom: 0;
    height: 50px;
    width: 600px;
    background-color: #ccc;
    color: #fff;
    font-size: 14px;
    border: 0;
    cursor: pointer;
    margin-left: auto;
    margin-right: auto;
    margin-top: 10px;
    font-size: large;
}
@media only screen and (max-width: 600px) {
    #formButton {
        width: 100%;
    }
}
#formButton:hover {
    background-color: #aaa8a8;
}
#formButton:active {
    display: block;
    background-color: #dfdfdf;
}


#formButton.formButtonActive {
    background-color: #4a8bc2;
}
#formButton.formButtonActive:hover {
    background-color: #5999d1;
}
#formButton.formButtonActive:active {
    background-color: #65a4dc;
}

#buttonPopUp {
    display: none;
    position: fixed;
    bottom: 50px;
    margin-left: auto;
    margin-right: auto;
    border-radius: 5px;
    border: 1px solid rgba(128, 128, 128, 0.568);
    padding: 10px 25px 10px 25px;
    margin-bottom: 10px;
    background-color: #cd5754;
    color: #fff;
    font-size: 11pt;
}

#ctaButton {
    display: flex;
    height: 30px;
    width: 250px;
    margin: 0 auto 0 auto;
    background-color: #ccc;
    border: 1px;
    border-radius: 20px;
    color: white;
    cursor: default;
    align-items: center;
    justify-content: center;
    font-size: 10pt;
}
#ctaButton:hover {
    background-color: #aaa8a8;
}

#ctaButton.ctaButtonActive {
    display: flex;
    height: 30px;
    width: 250px;
    margin: 0 auto 0 auto;
    background-color: #4280af;
    border: 1px;
    border-radius: 20px;
    color: white;
    cursor: pointer;
    align-items: center;
    justify-content: center;
    font-size: 10pt;
}
#ctaButton.ctaButtonActive:hover {
    background-color: #5999d1;
}
#ctaButton.ctaButtonActive:active {
    background-color: #65a4dc;
}


.switch {
    position: relative;
    display: inline-block;
    width: 60px;
    height: 34px;
  }
  
.switch input { 
opacity: 0;
width: 0;
height: 0;
}

.slider {
position: absolute;
cursor: pointer;
top: 0;
left: 0;
right: 0;
bottom: 0;
background-color: #ccc;
-webkit-transition: .4s;
transition: .4s;
}

.slider:before {
position: absolute;
content: "";
height: 26px;
width: 26px;
left: 30px;
bottom: 4px;
background-color: white;
-webkit-transition: .4s;
transition: .4s;
}

input:checked + .slider {
background-color: #2196F3;
}

input:checked + .slider:before {
-webkit-transform: translateX(-26px);
-ms-transform: translateX(-26px);
transform: translateX(-26px);
}

/* Rounded sliders */
.slider.round {
border-radius: 34px;
}

.slider.round:before {
border-radius: 50%;
}

#infomail-success-text {
/* background-color: #57b46d7d; */
color: #4a8bc2;
}

#infomailHeadline {
    text-align: center;
    margin: 0 0 10px 0;
}

.infomail-element {
    width: 95%;
    display: grid;
    margin: 0 auto 10px auto;
    grid-template-columns: 30px 10px auto;
    padding: 5px;
    align-items: center;
    background-color: #e8e8e8;
    border-radius: 8px;
}

.newsletter-element {
    width: 95%;
    display: grid;
    margin: 0 auto 10px auto;
    grid-template-columns: 20px 5px 30px 10px auto;
    padding: 5px;
    align-items: center;
    background-color: #e8e8e8;
    border-radius: 8px;
}

.collapse {
    display: none;
}

.collapsing {
    height: 0;
    overflow: hidden;
    transition: height .35s ease;
}

.uncollapse {
    position: relative;
    margin-left: auto;
    margin-right: auto;
    border-radius: 5px;
    border: 1px solid rgba(128, 128, 128, 0.568);
    padding: 5px;
    margin-bottom: 10px;
    color: grey;
    font-size: 11pt;
    transition: all 5s ease-in-out;
}

.closeElement {
    position: absolute;
    top: 5px;
    right: 10px;
    font-size: 16pt;
}

.transparent-black-layer {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    display: flex;
    align-items: center;
    background-color: rgba(0, 0, 0, 0.4);
}

.loader {
    border: 16px solid #f3f3f3; /* Light grey */
    border-top: 16px solid #3498db; /* Blue */
    border-radius: 50%;
    width: 120px;
    height: 120px;
    margin: auto auto auto auto;
    animation: spin 2s linear infinite;
}
  
@keyframes spin {
    0% { transform: rotate(0deg); }
    100% { transform: rotate(360deg); }
}

.infoSection {
    display: flex;
    flex-direction: column;
    align-items: center;
    gap: 10px;
    font-size: 14px;
    margin-bottom: 40px;
}
.infoSection span {
    text-align: center;
}